package icontrols.DataGrid;

import com.ms.wd.ui.Color;
import com.ms.wd.ui.Font;
import icontrols.CustomDrawData;

public class CellDrawData extends CustomDrawData {
   public boolean m_mouseOver = false;
   public boolean m_focus = false;
   public boolean m_selected = false;
   public Color m_backColor;
   public Color m_foreColor;
   public Color m_selectedBackColor;
   public Color m_selectedForeColor;
   public Font m_font;
   public String m_value;
   public boolean m_wrap;
   public int m_alignment;

   public CellDrawData() {
      this.m_backColor = Color.WINDOW;
      this.m_foreColor = Color.WINDOWTEXT;
      this.m_selectedBackColor = Color.HIGHLIGHT;
      this.m_selectedForeColor = Color.HIGHLIGHTTEXT;
      this.m_font = null;
      this.m_value = null;
      this.m_wrap = false;
      this.m_alignment = Integer.MIN_VALUE;
   }
}
