package icontrols.DataGrid;

import com.ms.wd.ui.Color;
import com.ms.wd.ui.Control;
import com.ms.wd.ui.Edit;
import com.ms.wd.ui.Rectangle;
import com.ms.wd.win32.Windows;

class DataGridTextEditor extends Edit implements ICellEditor {
   public Control m_parent = null;

   public void setValue(String value) {
      ((Control)this).setText(value);
   }

   public String getValue() {
      return ((Control)this).getText();
   }

   public DataGridTextEditor() {
      ((Control)this).setForeColor(Color.WINDOWTEXT);
      ((Control)this).setBackColor(Color.WINDOW);
      ((Edit)this).setBorder(false);
   }

   public void hideEditor() {
      this.m_parent.remove(this);
      ((Control)this).setVisible(false);
   }

   public boolean isKeyUsedByEditor(int nKeyCode) {
      switch (nKeyCode) {
         case 35:
         case 36:
            return true;
         case 37:
            if (((Edit)this).getSelectionStart() == 0) {
               return false;
            }

            return true;
         case 38:
         default:
            return false;
         case 39:
            return ((Edit)this).getSelectionStart() != ((Control)this).getText().length();
      }
   }

   public void setVisualBounds(Rectangle visualBounds) {
      ((Control)this).setBounds(visualBounds);
   }

   public boolean isEditorDialog() {
      return false;
   }

   public void showEditor(Control parent, Rectangle visualBounds, String value) {
      parent.add(this);
      this.setVisualBounds(visualBounds);
      ((Control)this).setVisible(true);
      this.setValue(value);
      ((Edit)this).selectAll();
      Windows.SetWindowPos(((Control)this).getHandle(), 1, 0, 0, 0, 0, 3);
      this.m_parent = parent;
   }
}
